<?php
	require_once( $GLOBALS["site_root"]."/includes/widgets/Widget.inc.php" );

	class BotJS extends Widget {

		public function __construct( $id , $parent ) {
			parent::__construct( $id , $parent );
			$this->sValue = "BotJS";
		}

		public function isValid() {
			return ($this->sValue=="mintahuzat");
		}

		public function render() {
			if ($this->sRendered) return $this->sRendered;
			FNTHPage::addUniquePageFullInit( sprintf( "InitBotJS('%s');\n" , $this->getId() ) );
			$this->setParam( "value" , $this->sValue );
			return parent::render();
		}

	}

?>
